System.Core 3.5.0.0 4.0.0.0

The interface is intended for implementation by query providers.

For more information about how to create your own LINQ provider, see LINQ: Building an IQueryable Provider on MSDN Blogs.

Defines methods to create and execute queries that are described by an object.

- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable ``

  The property of the returned object is equal to .

  The method is used to create new objects, given an expression tree. The query that is represented by the returned object is associated with a specific LINQ provider.

  Several of the standard query operator methods defined in , such as and , call this method. They pass it a that represents a vbteclinq query.

  Constructs an object that can evaluate the query represented by a specified expression tree.

  An that can evaluate the query represented by the specified expression tree.

  An expression tree that represents a vbteclinq query.
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TElement> ``

  The property of the returned object is equal to .

  The method is used to create new objects, given an expression tree. The query that is represented by the returned object is associated with a specific LINQ provider.

  Most of the standard query operator methods that return enumerable results call this method. They pass it a that represents a vbteclinq query.

  Constructs an object that can evaluate the query represented by a specified expression tree.

  An that can evaluate the query represented by the specified expression tree.

  An expression tree that represents a vbteclinq query. The type of the elements of the that is returned.
- Method
  3.5.0.0
  4.0.0.0
  System.Object ``

  The method executes queries that return a single value (instead of an enumerable sequence of values). Expression trees that represent queries that return enumerable results are executed when their associated object is enumerated.

  Executes the query represented by a specified expression tree.

  The value that results from executing the specified query.

  An expression tree that represents a vbteclinq query.
- Method
  3.5.0.0
  4.0.0.0
  TResult ``

  The method executes queries that return a single value (instead of an enumerable sequence of values). Expression trees that represent queries that return enumerable results are executed when the object that contains the expression tree is enumerated.

  The standard query operator methods that return singleton results call . They pass it a that represents a vbteclinq query.

  Executes the strongly-typed query represented by a specified expression tree.

  The value that results from executing the specified query.

  An expression tree that represents a vbteclinq query. The type of the value that results from executing the query.